<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/FirstStage/FirstStage_objs/get_AR_gm.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_ad567f6568f7af71f68706673af51f33.html">FirstStage</a></li><li class="navelem"><a class="el" href="../../dir_1c3bb113e33976697575615603529f5e.html">FirstStage_objs</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">get_AR_gm.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dee/get___a_r__gm_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;% ======================================================================</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;%======================================================================</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">function</span> obj_AR=<a class="code" href="../../d2/dee/get___a_r__gm_8m.html#ae4ac1585a9f9586bc9cd3c568c87b6f0">get_AR_gm</a>(sim_struct,noise_params,data,indexes,type,n_obs)</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;obj_AR_i=zeros(1,length(indexes)); % initialising the individual ARs</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;% Getting the ingredients needed, residuals, noise model, and geometric mean of log noise model</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;% <span class="keywordflow">for each</span> cell</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;for_pool=<span class="keyword">struct</span>();</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keywordflow">for</span> i = 1: length(indexes)</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;[for_pool(i).res,for_pool(i).h,for_pool(i).gm]=<a class="code" href="../../d0/de2/_w_l_s__gm_8m.html#a664af4d6d1b7d8d8d831606b4ee1ab86">WLS_gm</a>(sim_struct(i).f_t,noise_params,data(data.TrackID==indexes(i),{<span class="charliteral">&#39;Y&#39;</span>,<span class="stringliteral">&#39;YID&#39;</span>}),type,n_obs);</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;end</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;% If the log geometric mean does not exist <span class="keywordflow">for</span> any cell</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keywordflow">if</span> any(cell2mat({for_pool.gm})==Inf) </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    obj_AR=Inf;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;% Calculate the AR objective <span class="keyword">function</span> <span class="keywordflow">for each</span> cell</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;g_dot=log(geomean(cell2mat({for_pool.h}<span class="stringliteral">&#39;)));</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">for i = 1: length(indexes)</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">    obj_AR_i(i)=sum(sum((abs(for_pool(i).res).*exp(g_dot)./for_pool(i).h)));</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="../../d2/dee/get___a_r__gm_8m.html#ae4ac1585a9f9586bc9cd3c568c87b6f0">   22</a></span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="stringliteral">% Pooled AR over all cells</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="stringliteral">obj_AR=log(sum(obj_AR_i));</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="stringliteral">end</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="stringliteral">end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget___a_r__gm_8m_html_ae4ac1585a9f9586bc9cd3c568c87b6f0"><div class="ttname"><a href="../../d2/dee/get___a_r__gm_8m.html#ae4ac1585a9f9586bc9cd3c568c87b6f0">get_AR_gm</a></div><div class="ttdeci">function get_AR_gm(in sim_struct, in noise_params, in data, in indexes, in type, in n_obs)</div><div class="ttdoc">get_AR_gm gets the pooled AR (absolute residuals) likelihood. Implementation is based on &quot;Some Simple...</div></div>
<div class="ttc" id="a_w_l_s__gm_8m_html_a664af4d6d1b7d8d8d831606b4ee1ab86"><div class="ttname"><a href="../../d0/de2/_w_l_s__gm_8m.html#a664af4d6d1b7d8d8d831606b4ee1ab86">WLS_gm</a></div><div class="ttdeci">function WLS_gm(in f_t, in noise_params, in d, in type, in n_obs, in varargin)</div><div class="ttdoc">WLS_gm is used by get_AR_gm and get_PL_gm.m Generates the things needed to compute the AR/ PL objecti...</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
